# $Revision: 1.8 $, $Date: 2002/06/14 20:19:39 $
Summary:	XMMS - iris visualization plugin
Summary(pl):	XMMS - wtyczka do wizualizacji iris
Name:		xmms-visualization-iris
Version:	0.10
Release:	1
License:	GPL v2
Group:		X11/Applications/Multimedia
Source0:	http://cdelfosse.free.fr/xmms-iris/iris-%{version}.tar.gz
URL:		http://cdelfosse.free.fr/xmms-iris/
BuildRequires:	OpenGL-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	xmms-devel
Requires:	OpenGL
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1

%define 	_prefix		/usr/X11R6

%description
Iris visualization plugin for XMMS.

%description -l pl
Wtyczka do wizualizacji iris dla XMMS.

%prep
%setup -q -n iris-%{version}

%build
rm -f missing
%{__libtoolize}
aclocal
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_libdir}/xmms/Visualization/libiris.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xmms-visualization-iris.spec,v $
Revision 1.8  2002/06/14 20:19:39  kloczek
- use new %doc and more macros.

Revision 1.7  2002/06/11 19:12:03  kosmo

New Version: 0.10

Revision 1.6  2002/05/21 23:15:07  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.5  2002/05/13 10:47:34  kloczek
- release 2.

Revision 1.4  2002/05/13 10:23:28  qboosh
- typo, standarized OpenGL requirments

Revision 1.3  2002/05/12 12:01:41  kloczek
- added URL and Source url,
- added full regenerate ac/am/lt files and use %%configure macro.

Revision 1.2  2002/05/12 11:48:50  kloczek
- removed redundant BuildRequires rules.

Revision 1.1  2002/05/12 11:01:27  misiek
- spec by <kosmo0@wp.pl>; requires more changes and cleanups
